# Generated by Django 3.0.3 on 2021-09-10 22:11

from django.db import migrations

from main.models import TerritorioStatus


def add_new_territoriostatus(apps, schema_editor):
    TerritorioStatusOld = apps.get_model('main', 'TerritorioStatus')
    try:
        pendente = TerritorioStatusOld.objects.get(pk=TerritorioStatus.REVISADO_COM_PENDENCIAS)
    except TerritorioStatusOld.DoesNotExist:
        pendente = TerritorioStatusOld()
        pendente.id = TerritorioStatus.REVISADO_COM_PENDENCIAS
        pendente.nome = "Revisado com pendências: necessita revisão pela cadastrante"
        pendente.save()

    try:
        rejeitado = TerritorioStatusOld.objects.get(pk=TerritorioStatus.REJEITADO_TONOMAPA)
    except TerritorioStatusOld.DoesNotExist:
        rejeitado = TerritorioStatusOld()
        rejeitado.id = TerritorioStatus.REJEITADO_TONOMAPA
        rejeitado.nome = "Rejeitado"
        rejeitado.save()

    envio_ptt_em_preenchimento = TerritorioStatusOld()
    envio_ptt_em_preenchimento.id = TerritorioStatus.EM_PREENCHIMENTO_PTT
    envio_ptt_em_preenchimento.nome = "PTT: em preenchimento"
    envio_ptt_em_preenchimento.save()

    envio_ptt_pendente = TerritorioStatusOld()
    envio_ptt_pendente.id = TerritorioStatus.ENVIO_PTT_NAFILA
    envio_ptt_pendente.nome = "PTT: na fila para envio à plataforma PTT"
    envio_ptt_pendente.save()

    enviado_ptt = TerritorioStatusOld()
    enviado_ptt.id = TerritorioStatus.OK_PTT
    enviado_ptt.nome = "PTT: enviado"
    enviado_ptt.save()


class Migration(migrations.Migration):
    dependencies = [
        ('main', '0074_merge_20210907_1349'),
    ]

    operations = [
        migrations.RunPython(add_new_territoriostatus),
    ]
